{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}


    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        formConfig: {
            items: [
                new mj.form.field({
                    dataIndex: 'id',
                    hidden: true
                }),
                new mj.form.field({
                    dataIndex: 'version',
                    hidden: true
                }),
                //new mj.form.textField({
                //    title: "{{ 'PlanNote.code'|trans }}",
                //    dataIndex: 'code',
                //    maxLength: 50,
                //    width:150,
                //    labelWidth : '110px',
                //    grid: 's12 m6'
                //}),
                //new mj.form.textField({
                //    title: "{{ 'PlanNote.type'|trans }}",
                //    dataIndex: 'type',
                //    maxLength: 50,
                //    width:150,
                //    labelWidth : '110px',
                //    grid: 's12 m6'
                //}),
                new mj.form.numberField({
                    title : "{{ 'PlanNote.recordorder'|trans }}",
                    dataIndex : 'recordorder',
                    labelWidth : '110px',
                    width : 50
                }),
                new mj.form.textArea({
                    title : "{{ 'PlanNote.description'|trans }}",
                    dataIndex : 'description',
                    labelWidth : '110px',
                    width:700,
                    height:200,
                    maxLength: 255
                })
            ]
        },
        gridConfig : {
            cm: [
                //{header: "{{ 'PlanNote.code'|trans }}", dataIndex: 'code', width: 150},
                //{header: "{{ 'PlanNote.type'|trans }}", dataIndex: 'code', width: 150},
                {header: "{{ 'PlanNote.recordorder'|trans }}", dataIndex: 'recordorder', width: 80, align:'right'},
                {header: "{{ 'PlanNote.description'|trans }}", dataIndex: 'description', width: 600}
            ]
        },
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
